shithub: riscv

Download patch

ref: 1421316bab6d31bfffc55c91d09135e2ec26b158
parent: 31cf34ca81d31c9e76998da1ebea41dd819f20f9
author: aiju <aiju@phicode.de>
date: Fri Aug 12 02:43:00 EDT 2011

bullshit: fixed bug

--- a/rc/bin/bullshit
+++ b/rc/bin/bullshit
@@ -44,8 +44,8 @@
 		n += 2
 	for(i = 0; i < n; i++)
 		printf "%s%s ", word[last = int(rand() * nword)], suffix()
-	if(rand() > 0.5 || (last >= 0 && noend[last]) || hassuffix)
-		printf "%s ", word[int(rand() * nend)]
+	if(rand() > 0.05 || (last >= 0 && noend[last]) || hassuffix)
+		printf "%s ", end[int(rand() * nend)]
 	print ""
 }
 ' /lib/bullshit
--